/* global angular */

angular.module('configServices', [])

.factory('filtersData', function () {


    /* Database Car table fields summary

    1   status          Char
    2   infocar         Integer
    3   corporate       ForeignKey
    4   brand           ForeignKey
    5   model           ForeignKey
    6   motor           Char
    7   version         Char
    8   price           Integer     OK
    9   shape           Char        OK
    10  target          Char        OK

    11  seat            Char        OK
    12  engine          Char        OK
    13  layout          Char        ?
    14  turbo           Char
    15  fuel            Char
    16  traction        Char        OK
    17  gear            Char        ?
    18  agear           Char        OK
    19  pollution       Char
    20  engine_loc      Char        OK

    21  doors           Char        OK
    22  year_first      Integer
    23  year            Integer     ?
    24  month           Integer
    25  luggage         Integer     OK
    26  luggage_max     Integer
    27  tank            Decimal     OK
    28  weight          Integer     OK
    29  length          Integer     OK
    30  width           Integer     OK

    31  height          Integer     OK
    32  displ           Integer     OK
    33  power_cv        Integer     OK
    34  power_kw        Integer
    35  power_rpm       Integer
    36  torque_max      Integer     OK
    37  torque_rpm      Integer
    38  speed           Integer     OK
    39  acc             Decimal     OK
    40  co2             Integer     OK

    41  tow             Integer
    42  cons_urban      Decimal
    43  cons_mix        Decimal     OK
    44  cons_extra      Decimal
    45  kml_mix         Decimal     OK
    46  driving         Integer
    47  eco             Integer     OK
    48  area_c          Integer
    49  power_spec      Decimal
    50  power_weight    Decimal

    51  proxymity       Integer
    52  price_update    Date
    53  field_src       Char
    54  shape_old       Char
    55  new_date        DateTime
    56  mod_date        DateTime
    57  standard_num    Integer
    58  off_year        Integer
    59  off_month       Integer

    */

    // Todo: data about car filters should be separated from the logic (should be passed to the FiltersManager from the controller?

    var data = {

        // 1   status          Char
        // 2   infocar         Integer
        // 3   corporate       ForeignKey
        // 4   brand           ForeignKey

        brand: {
            filterType: 'multiselect',
            paramKey: 'brand',
            label: 'Brand',
            choices: [
                {
                    label: 'Abarth',
                    thumbnail: 'Abarth',
                    value: '1'

                },
                {
                    label: 'Alfa Romeo',
                    thumbnail: 'Alfa Romeo',
                    value: '4'
                },
                {
                    label: 'Aston Martin',
                    thumbnail: 'Aston Martin',
                    value: '10'
                },
                {
                    label: 'Audi',
                    thumbnail: 'Audi',
                    value: '11'
                },
                {
                    label: 'Bentley',
                    thumbnail: 'Bentley',
                    value: '18'
                },
                {
                    label: 'BMW',
                    thumbnail: 'BMW',
                    value: '22'
                },
                {
                    label: 'Cadillac',
                    thumbnail: 'Cadillac',
                    value: '32'
                },
                {
                    label: 'Chevrolet',
                    thumbnail: 'Chevrolet',
                    value: '40'
                },
                {
                    label: 'Citroen',
                    thumbnail: 'Citroen',
                    value: '42'
                },
                {
                    label: 'Corvette',
                    thumbnail: 'Corvette',
                    value: '46'
                },
                {
                    label: 'Dacia',
                    thumbnail: 'Dacia',
                    value: '48'
                },
                /*
                {
                    label: 'Daihatsu',
                    thumbnail: 'Daihatsu',
                    value: '51'
                },
                */
                {
                    label: 'Dr',
                    thumbnail: 'Dr',
                    value: '62'
                },
                {
                    label: 'Ferrari',
                    thumbnail: 'Ferrari',
                    value: '67'
                },
                {
                    label: 'Fiat',
                    thumbnail: 'Fiat',
                    value: '68'
                },
                /*
                {
                    label: 'Fisker',
                    thumbnail: 'Fisker',
                    value: '70'
                },
                */
                {
                    label: 'Ford',
                    thumbnail: 'Ford',
                    value: '71'
                },
                {
                    label: 'Gonow',
                    thumbnail: 'Gonow',
                    value: '78'
                },
                {
                    label: 'Great Wall',
                    thumbnail: 'Great Wall',
                    value: '80'
                },
                {
                    label: 'Honda',
                    thumbnail: 'Honda',
                    value: '88'
                },
                {
                    label: 'Hyundai',
                    thumbnail: 'Hyundai',
                    value: '93'
                },
                {
                    label: 'Infiniti',
                    thumbnail: 'Infiniti',
                    value: '94'
                },
                {
                    label: 'Jaguar',
                    thumbnail: 'Jaguar',
                    value: '98'
                },
                {
                    label: 'Jeep',
                    thumbnail: 'Jeep',
                    value: '99'
                },
                {
                    label: 'Kia',
                    thumbnail: 'Kia',
                    value: '104'
                },
                {
                    label: 'Lada',
                    thumbnail: 'Lada',
                    value: '272'
                },
                {
                    label: 'Lamborghini',
                    thumbnail: 'Lamborghini',
                    value: '107'
                },
                {
                    label: 'Lancia',
                    thumbnail: 'Lancia',
                    value: '108'
                },
                {
                    label: 'Land Rover',
                    thumbnail: 'Land Rover',
                    value: '109'
                },
                {
                    label: 'Lexus',
                    thumbnail: 'Lexus',
                    value: '112'
                },
                {
                    label: 'Lotus',
                    thumbnail: 'Lotus',
                    value: '115'
                },
                {
                    label: 'Mahindra',
                    thumbnail: 'Mahindra',
                    value: '118'
                },
                {
                    label: 'Maserati',
                    thumbnail: 'Maserati',
                    value: '124'
                },
                {
                    label: 'Mazda',
                    thumbnail: 'Mazda',
                    value: '126'
                },
                {
                    label: 'McLaren',
                    thumbnail: 'McLaren',
                    value: '127'
                },
                {
                    label: 'Mercedes', // Mercedes-Benz is too long.
                    thumbnail: 'Mercedes-Benz',
                    value: '128'
                },
                {
                    label: 'MINI',
                    thumbnail: 'MINI',
                    value: '133'
                },
                {
                    label: 'Mitsubishi',
                    thumbnail: 'Mitsubishi',
                    value: '135'
                },
                {
                    label: 'Mustang',
                    thumbnail: 'Mustang',
                    value: '530'
                },
                {
                    label: 'Nissan',
                    thumbnail: 'Nissan',
                    value: '146'
                },
                {
                    label: 'Opel',
                    thumbnail: 'Opel',
                    value: '147'
                },
                {
                    label: 'Peugeot',
                    thumbnail: 'Peugeot',
                    value: '154'
                },
                {
                    label: 'Porsche',
                    thumbnail: 'Porsche',
                    value: '161'
                },
                {
                    label: 'Renault',
                    thumbnail: 'Renault',
                    value: '163'
                },
                {
                    label: 'Rolls-Royce',
                    thumbnail: 'Rolls-Royce',
                    value: '516'
                },
                {
                    label: 'Seat',
                    thumbnail: 'Seat',
                    value: '171'
                },
                {
                    label: 'Skoda',
                    thumbnail: 'Skoda',
                    value: '178'
                },
                {
                    // Todo: Smart is lowercase in the database and the image name in cdn. Correct in db, server and js!
                    label: 'Smart',
                    thumbnail: 'smart',
                    value: '179'
                },
                {
                    label: 'Ssangyong',
                    thumbnail: 'Ssangyong',
                    value: '146'
                },
                {
                    label: 'Subaru',
                    thumbnail: 'Subaru',
                    value: '185'
                },
                {
                    label: 'Suzuki',
                    thumbnail: 'Suzuki',
                    value: '186'
                },
                {
                    label: 'Tata',
                    thumbnail: 'Tata',
                    value: '188'
                },
                {
                    label: 'Tesla',
                    thumbnail: 'Tesla',
                    value: '190'
                },
                {
                    label: 'Toyota',
                    thumbnail: 'Toyota',
                    value: '196'
                },
                {
                    label: 'Volkswagen',
                    thumbnail: 'Volkswagen',
                    value: '208'
                },
                {
                    label: 'Volvo',
                    thumbnail: 'Volvo',
                    value: '210'
                }
            ]
        },

        // 5   model           ForeignKey
        // 6   motor           Char
        // 7   version         Char

        // 8   price           Integer
        price: {
            filterType: 'range',
            paramKey: 'price',
            label: 'Prezzo',
            initialRange: [0, 3630000], // Now choices <15000 >75000
            range: [0, 3630000],
            unityOfMeasure: '€'
        },

    };

    return data;
});
