
/* global angular */

angular.module('configServices', [])

.factory('filtersData', function (){
    var data = {
    "acc": {
        "filterType": "range", 
        "initialRange": [
            2, 
            18
        ], 
        "label": "Accelerazione (0-100 km/h)", 
        "paramKey": "acc", 
        "range": [
            2, 
            18
        ], 
        "unityOfMeasure": "secondi"
    }, 
    "agear": {
        "choices": [
            {
                "label": "Cambio Automatico", 
                "value": "A"
            }
        ], 
        "filterType": "multiselect", 
        "label": "Tipo di cambio", 
        "paramKey": "agear"
    }, 
    "area_c": {
        "filterType": "boolean", 
        "label": "Area C", 
        "paramKey": "area_c", 
        "value": null
    }, 
    "brand": {
        "choices": [
            {
                "label": "Abarth", 
                "thumbnail": "Abarth", 
                "value": 1
            }, 
            {
                "label": "Alfa Romeo", 
                "thumbnail": "Alfa Romeo", 
                "value": 4
            }, 
            {
                "label": "AMG", 
                "thumbnail": "AMG", 
                "value": 345
            }, 
            {
                "label": "Aston Martin", 
                "thumbnail": "Aston Martin", 
                "value": 10
            }, 
            {
                "label": "Audi", 
                "thumbnail": "Audi", 
                "value": 11
            }, 
            {
                "label": "Bentley", 
                "thumbnail": "Bentley", 
                "value": 18
            }, 
            {
                "label": "BMW", 
                "thumbnail": "BMW", 
                "value": 22
            }, 
            {
                "label": "Cadillac", 
                "thumbnail": "Cadillac", 
                "value": 32
            }, 
            {
                "label": "Chevrolet", 
                "thumbnail": "Chevrolet", 
                "value": 40
            }, 
            {
                "label": "Citroen", 
                "thumbnail": "Citroen", 
                "value": 42
            }, 
            {
                "label": "Corvette", 
                "thumbnail": "Corvette", 
                "value": 46
            }, 
            {
                "label": "Dacia", 
                "thumbnail": "Dacia", 
                "value": 48
            }, 
            {
                "label": "Dr", 
                "thumbnail": "Dr", 
                "value": 62
            }, 
            {
                "label": "DS", 
                "thumbnail": "DS", 
                "value": 536
            }, 
            {
                "label": "Ferrari", 
                "thumbnail": "Ferrari", 
                "value": 67
            }, 
            {
                "label": "Fiat", 
                "thumbnail": "Fiat", 
                "value": 68
            }, 
            {
                "label": "Fiat Professional", 
                "thumbnail": "Fiat Professional", 
                "value": 69
            }, 
            {
                "label": "Ford", 
                "thumbnail": "Ford", 
                "value": 71
            }, 
            {
                "label": "Gonow", 
                "thumbnail": "Gonow", 
                "value": 78
            }, 
            {
                "label": "Great Wall", 
                "thumbnail": "Great Wall", 
                "value": 80
            }, 
            {
                "label": "Honda", 
                "thumbnail": "Honda", 
                "value": 88
            }, 
            {
                "label": "Hyundai", 
                "thumbnail": "Hyundai", 
                "value": 93
            }, 
            {
                "label": "Infiniti", 
                "thumbnail": "Infiniti", 
                "value": 94
            }, 
            {
                "label": "Jaguar", 
                "thumbnail": "Jaguar", 
                "value": 98
            }, 
            {
                "label": "Jeep", 
                "thumbnail": "Jeep", 
                "value": 99
            }, 
            {
                "label": "Kia", 
                "thumbnail": "Kia", 
                "value": 104
            }, 
            {
                "label": "Lamborghini", 
                "thumbnail": "Lamborghini", 
                "value": 107
            }, 
            {
                "label": "Lancia", 
                "thumbnail": "Lancia", 
                "value": 108
            }, 
            {
                "label": "Land Rover", 
                "thumbnail": "Land Rover", 
                "value": 109
            }, 
            {
                "label": "Lexus", 
                "thumbnail": "Lexus", 
                "value": 112
            }, 
            {
                "label": "Lotus", 
                "thumbnail": "Lotus", 
                "value": 115
            }, 
            {
                "label": "Mahindra", 
                "thumbnail": "Mahindra", 
                "value": 118
            }, 
            {
                "label": "Maserati", 
                "thumbnail": "Maserati", 
                "value": 124
            }, 
            {
                "label": "Mazda", 
                "thumbnail": "Mazda", 
                "value": 126
            }, 
            {
                "label": "McLaren", 
                "thumbnail": "McLaren", 
                "value": 127
            }, 
            {
                "label": "Mercedes", 
                "thumbnail": "Mercedes-Benz", 
                "value": 128
            }, 
            {
                "label": "MINI", 
                "thumbnail": "MINI", 
                "value": 133
            }, 
            {
                "label": "Mitsubishi", 
                "thumbnail": "Mitsubishi", 
                "value": 135
            }, 
            {
                "label": "Nissan", 
                "thumbnail": "Nissan", 
                "value": 145
            }, 
            {
                "label": "Opel", 
                "thumbnail": "Opel", 
                "value": 147
            }, 
            {
                "label": "Peugeot", 
                "thumbnail": "Peugeot", 
                "value": 154
            }, 
            {
                "label": "Porsche", 
                "thumbnail": "Porsche", 
                "value": 161
            }, 
            {
                "label": "Renault", 
                "thumbnail": "Renault", 
                "value": 163
            }, 
            {
                "label": "Rolls-Royce", 
                "thumbnail": "Rolls-Royce", 
                "value": 516
            }, 
            {
                "label": "Seat", 
                "thumbnail": "Seat", 
                "value": 171
            }, 
            {
                "label": "Skoda", 
                "thumbnail": "Skoda", 
                "value": 178
            }, 
            {
                "label": "smart", 
                "thumbnail": "smart", 
                "value": 179
            }, 
            {
                "label": "Ssangyong", 
                "thumbnail": "Ssangyong", 
                "value": 183
            }, 
            {
                "label": "Subaru", 
                "thumbnail": "Subaru", 
                "value": 185
            }, 
            {
                "label": "Suzuki", 
                "thumbnail": "Suzuki", 
                "value": 186
            }, 
            {
                "label": "Tesla", 
                "thumbnail": "Tesla", 
                "value": 190
            }, 
            {
                "label": "Toyota", 
                "thumbnail": "Toyota", 
                "value": 196
            }, 
            {
                "label": "Volkswagen", 
                "thumbnail": "Volkswagen", 
                "value": 208
            }, 
            {
                "label": "Volvo", 
                "thumbnail": "Volvo", 
                "value": 210
            }
        ], 
        "filterType": "multiselect", 
        "label": "Brand", 
        "paramKey": "brand"
    }, 
    "co2": {
        "filterType": "range", 
        "initialRange": [
            0, 
            398
        ], 
        "label": "Emissioni CO2", 
        "paramKey": "co2", 
        "range": [
            0, 
            398
        ], 
        "unityOfMeasure": "g/km"
    }, 
    "cons_mix": {
        "filterType": "range", 
        "initialRange": [
            0, 
            18
        ], 
        "label": "Consumo medio", 
        "paramKey": "cons_mix", 
        "range": [
            0, 
            18
        ], 
        "unityOfMeasure": "l/100 km"
    }, 
    "displ": {
        "filterType": "range", 
        "initialRange": [
            647, 
            6750
        ], 
        "label": "Cilindrata", 
        "paramKey": "displ", 
        "range": [
            647, 
            6750
        ], 
        "unityOfMeasure": "cc"
    }, 
    "doors": {
        "choices": [
            {
                "label": "2", 
                "value": "2"
            }, 
            {
                "label": "3", 
                "value": "3"
            }, 
            {
                "label": "4", 
                "value": "4"
            }, 
            {
                "label": "5", 
                "value": "5"
            }
        ], 
        "filterType": "multiselect", 
        "label": "Porte", 
        "paramKey": "doors"
    }, 
    "driving": {
        "filterType": "boolean", 
        "label": "Neopatentati", 
        "paramKey": "driving", 
        "value": null
    }, 
    "engine": {
        "choices": [
            {
                "label": "motore standard", 
                "value": "T"
            }, 
            {
                "label": "ibrido", 
                "value": "TE"
            }, 
            {
                "label": "elettrico", 
                "value": "BEV"
            }, 
            {
                "label": "fuel-cell", 
                "value": "F"
            }, 
            {
                "label": "full hybrid", 
                "value": "HEV"
            }, 
            {
                "label": "elettrico", 
                "value": "E"
            }, 
            {
                "label": "elettrico", 
                "value": "ET"
            }
        ], 
        "filterType": "multiselect", 
        "label": "Tipo di motore", 
        "paramKey": "engine"
    }, 
    "engine_loc": {
        "choices": [
            {
                "label": "anteriore", 
                "value": "A"
            }, 
            {
                "label": "centrale", 
                "value": "C"
            }, 
            {
                "label": "posteriore", 
                "value": "P"
            }, 
            {
                "label": "posteriore", 
                "value": "P"
            }
        ], 
        "filterType": "multiselect", 
        "label": "Posizione motore", 
        "paramKey": "engine_loc"
    }, 
    "fuel": {
        "choices": [
            {
                "label": "benzina", 
                "value": "B"
            }, 
            {
                "label": "gasolio", 
                "value": "D"
            }, 
            {
                "label": "GPL", 
                "value": "B/GPL"
            }, 
            {
                "label": "metano", 
                "value": "B/M"
            }, 
            {
                "label": "elettrica", 
                "value": "E"
            }, 
            {
                "label": "ibrida plug in", 
                "value": "E/P"
            }, 
            {
                "label": "ibrida benzina", 
                "value": "B/E"
            }, 
            {
                "label": "ibrida diesel", 
                "value": "D/E"
            }, 
            {
                "label": "elettrica extended range", 
                "value": "E/B"
            }
        ], 
        "filterType": "multiselect", 
        "label": "Alimentazione", 
        "paramKey": "fuel"
    }, 
    "height": {
        "filterType": "range", 
        "initialRange": [
            111, 
            209
        ], 
        "label": "Altezza", 
        "paramKey": "height", 
        "range": [
            111, 
            209
        ], 
        "unityOfMeasure": "cm"
    }, 
    "kml_mix": {
        "filterType": "range", 
        "initialRange": [
            5, 
            167
        ], 
        "label": "Percorrenza media", 
        "paramKey": "kml_mix", 
        "range": [
            5, 
            167
        ], 
        "unityOfMeasure": "km/l"
    }, 
    "layout": {
        "choices": [
            {
                "label": "4 cilindri boxer", 
                "value": "B4"
            }, 
            {
                "label": "6 cilindri boxer", 
                "value": "B6"
            }, 
            {
                "label": "2 cilindri in linea", 
                "value": "L2"
            }, 
            {
                "label": "3 cilindri in linea", 
                "value": "L3"
            }, 
            {
                "label": "4 cilindri in linea", 
                "value": "L4"
            }, 
            {
                "label": "5 cilindri in linea", 
                "value": "L5"
            }, 
            {
                "label": "6 cilindri in linea", 
                "value": "L6"
            }, 
            {
                "label": "6 cilindri a V", 
                "value": "V6"
            }, 
            {
                "label": "8 cilindri a V", 
                "value": "V8"
            }, 
            {
                "label": "10 cilindri a V", 
                "value": "V10"
            }, 
            {
                "label": "12 cilindri a V", 
                "value": "V12"
            }, 
            {
                "label": "12 cilindri a W", 
                "value": "W12"
            }
        ], 
        "filterType": "multiselect", 
        "label": "Cilindri / disposizione", 
        "paramKey": "layout"
    }, 
    "lenght": {
        "filterType": "range", 
        "initialRange": [
            234, 
            608
        ], 
        "label": "Lunghezza", 
        "paramKey": "length", 
        "range": [
            234, 
            608
        ], 
        "unityOfMeasure": "cm"
    }, 
    "luggage": {
        "filterType": "range", 
        "initialRange": [
            11, 
            1978
        ], 
        "label": "Bagagliaio", 
        "paramKey": "luggage", 
        "range": [
            11, 
            1978
        ], 
        "unityOfMeasure": "litri"
    }, 
    "pollution": {
        "choices": [
            {
                "label": "Euro 6", 
                "value": "E6"
            }
        ], 
        "filterType": "multiselect", 
        "label": "Classe emissioni", 
        "paramKey": "pollution"
    }, 
    "power_cv": {
        "filterType": "range", 
        "initialRange": [
            10, 
            963
        ], 
        "label": "Potenza massima", 
        "paramKey": "power_cv", 
        "range": [
            10, 
            963
        ], 
        "unityOfMeasure": "CV"
    }, 
    "price": {
        "filterType": "range", 
        "initialRange": [
            3190, 
            1860001
        ], 
        "label": "Prezzo", 
        "paramKey": "price", 
        "range": [
            3190, 
            1860001
        ], 
        "unityOfMeasure": "\u20ac"
    }, 
    "seat": {
        "choices": [
            {
                "label": "2", 
                "value": "2"
            }, 
            {
                "label": "2+2", 
                "value": "2+2"
            }, 
            {
                "label": "4", 
                "value": "4"
            }, 
            {
                "label": "4-5", 
                "value": "4-5"
            }, 
            {
                "label": "5", 
                "value": "5"
            }, 
            {
                "label": "5-7", 
                "value": "5-7"
            }, 
            {
                "label": "7", 
                "value": "7"
            }, 
            {
                "label": "8", 
                "value": "8"
            }
        ], 
        "filterType": "multiselect", 
        "label": "Posti", 
        "paramKey": "seat"
    }, 
    "shape": {
        "choices": [
            {
                "label": "Berlina", 
                "thumbnail": "berlina", 
                "value": "Berlina"
            }, 
            {
                "label": "Compatta", 
                "thumbnail": "comp", 
                "value": "Compatta"
            }, 
            {
                "label": "Coupe'", 
                "thumbnail": "cou", 
                "value": "Coup\u00e9"
            }, 
            {
                "label": "Fuoristrada", 
                "thumbnail": "4x4", 
                "value": "Fuoristrada"
            }, 
            {
                "label": "Monovolume", 
                "thumbnail": "mono", 
                "value": "Monovolume"
            }, 
            {
                "label": "Pick-up", 
                "thumbnail": "pick", 
                "value": "Pick-up"
            }, 
            {
                "label": "Scoperta", 
                "thumbnail": "cab", 
                "value": "Scoperta"
            }, 
            {
                "label": "St. Wagon", 
                "thumbnail": "sw", 
                "value": "Station Wagon"
            }, 
            {
                "label": "SUV", 
                "thumbnail": "suv", 
                "value": "SUV"
            }, 
            {
                "label": "Piccola", 
                "thumbnail": "small", 
                "value": "Piccola"
            }
        ], 
        "filterType": "multiselect", 
        "label": "Design", 
        "paramKey": "shape"
    }, 
    "speed": {
        "filterType": "range", 
        "initialRange": [
            45, 
            2000
        ], 
        "label": "Velocit\u00e0 massima", 
        "paramKey": "speed", 
        "range": [
            45, 
            2000
        ], 
        "unityOfMeasure": "km/h"
    }, 
    "tank": {
        "filterType": "range", 
        "initialRange": [
            9, 
            104
        ], 
        "label": "Serbatoio", 
        "paramKey": "tank", 
        "range": [
            9, 
            104
        ], 
        "unityOfMeasure": "litri"
    }, 
    "target": {
        "choices": [
            {
                "label": "City", 
                "thumbnail": "city", 
                "value": "City"
            }, 
            {
                "label": "Family", 
                "thumbnail": "fam", 
                "value": "Family"
            }, 
            {
                "label": "Executive", 
                "thumbnail": "exec", 
                "value": "Executive"
            }, 
            {
                "label": "Sport", 
                "thumbnail": "sport", 
                "value": "Sport"
            }, 
            {
                "label": "Top", 
                "thumbnail": "top", 
                "value": "Top"
            }, 
            {
                "label": "Offroad", 
                "thumbnail": "4x4", 
                "value": "Offroad"
            }, 
            {
                "label": "Work", 
                "thumbnail": "work", 
                "value": "Work"
            }
        ], 
        "filterType": "multiselect", 
        "label": "Destinazione d'uso", 
        "paramKey": "target"
    }, 
    "torque_max": {
        "filterType": "range", 
        "initialRange": [
            57, 
            1280
        ], 
        "label": "Coppia massima", 
        "paramKey": "torque_max", 
        "range": [
            57, 
            1280
        ], 
        "unityOfMeasure": "Nm"
    }, 
    "traction": {
        "choices": [
            {
                "label": "anteriore", 
                "value": "A"
            }, 
            {
                "label": "posteriore", 
                "value": "P"
            }, 
            {
                "label": "anteriore, integrale inseribile", 
                "value": "A+I"
            }, 
            {
                "label": "posteriore, integrale inseribile", 
                "value": "P+I"
            }, 
            {
                "label": "integrale permanente", 
                "value": "I"
            }
        ], 
        "filterType": "multiselect", 
        "label": "Trazione", 
        "paramKey": "traction"
    }, 
    "weight": {
        "filterType": "range", 
        "initialRange": [
            450, 
            2857
        ], 
        "label": "Massa", 
        "paramKey": "weight", 
        "range": [
            450, 
            2857
        ], 
        "unityOfMeasure": "kg"
    }, 
    "width": {
        "filterType": "range", 
        "initialRange": [
            119, 
            222
        ], 
        "label": "Larghezza", 
        "paramKey": "width", 
        "range": [
            119, 
            222
        ], 
        "unityOfMeasure": "cm"
    }, 
    "year": {
        "filterType": "range", 
        "initialRange": [
            2006, 
            2019
        ], 
        "label": "Anno di lancio", 
        "paramKey": "year", 
        "range": [
            2006, 
            2019
        ], 
        "unityOfMeasure": "anno"
    }
};
    return data;
});